Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.filters
[Groovy] Class CompositeInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.filters.CompositeInterceptor

    class CompositeInterceptor

Composed of other HandlerInterceptor instances.

Authors:
  mike
  Graeme Rocher

Property Summary
`static java.lang.Object` | `LOG`
`java.lang.Object` | `handlers`

Method Summary
`void` | `afterCompletion(HttpServletRequest request, HttpServletResponse response, java.lang.Object o, java.lang.Exception e)`
`void` | `postHandle(HttpServletRequest request, HttpServletResponse response, java.lang.Object o, ModelAndView modelAndView)`
`boolean` | `preHandle(HttpServletRequest request, HttpServletResponse response, java.lang.Object o)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### LOG

    static final java.lang.Object LOG

### handlers

    java.lang.Object handlers

Method Detail

### afterCompletion

    void afterCompletion(HttpServletRequest request, HttpServletResponse response, java.lang.Object o, java.lang.Exception e)

### postHandle

    void postHandle(HttpServletRequest request, HttpServletResponse response, java.lang.Object o, ModelAndView modelAndView)

### preHandle

    boolean preHandle(HttpServletRequest request, HttpServletResponse response, java.lang.Object o)

Groovy Documentation